# Class: Group

## helma.Group(javaGroup)

This is what is retrieved through groups.get(groupName), wrapping the root object of each group tree.

## Constructor

#### new Group(javaGroup)

Constructs a new helma.Group Object.

##### Parameters:

Name | Type | Description
--- | --- | ---
`javaGroup` | FIXME | FIXME

Source:
  - helma/Group.js, line 37

### Classes

GroupObject
Manager

### Methods

#### callFunction(method, argArr, sendMode)

calls a function in all connected applications (to be specific: in all registered localClients).

##### Parameters:

Name | Type | Description
--- | --- | ---
`method` |  | name of the method in xmlrpc-style: test is called as root.test(), stories.137.render is called as root.stories.get("137").render() etc etc.
`argArr` |  | array of arguments to the remote method
`sendMode` |  | as defined for helma.Group.GroupObject

Source:
  - helma/Group.js, line 111

##### Returns:

array of result objects

#### countChildren()

Source:
  - helma/Group.js, line 90
See:
  - helma.Group.GroupObject.countChildren

#### countProperties()

Source:
  - helma/Group.js, line 97
See:
  - helma.Group.GroupObject.countProperties

#### get()

retrieves a key from the group's root, wraps the function of the root GroupObject

Source:
  - helma/Group.js, line 69

#### getJavaObject()

Source:
  - helma/Group.js, line 44

##### Returns:

the wrapped java object Group

#### listChildren()

Source:
  - helma/Group.js, line 76
See:
  - helma.Group.GroupObject.listChildren

#### listProperties()

Source:
  - helma/Group.js, line 83
See:
  - helma.Group.GroupObject.listProperties

#### remove()

removes a key from the group's root, wraps the function of the root GroupObject

Source:
  - helma/Group.js, line 61

#### set()

sets a key/value pair on the group's root, wraps the function of the wrapper object

Source:
  - helma/Group.js, line 52